> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Funding Source

> Create a bank account funding source for a customer account using account and routing numbers.



## OpenAPI

````yaml openapi/zeal-api.json post /customer-accounts/{id}/funding-sources
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /customer-accounts/{id}/funding-sources:
    post:
      summary: Create Funding Source
      operationId: create-funding-source
      parameters:
        - name: id
          in: path
          description: ID of the customer account
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - account_number
                - account_type
                - routing_number
                - companyID
                - customerAccountID
              properties:
                account_number:
                  type: string
                  description: Account number of the bank accout.
                account_type:
                  type: string
                  description: Type of the bank account (Accepts "checking" or "savings")
                  enum:
                    - checking
                    - savings
                routing_number:
                  type: string
                  description: Routing number of the bank account.
                companyID:
                  type: string
                  description: ID of the Company
                customerAccountID:
                  type: string
                  description: ID of the Customer Account.
            examples:
              Request Example:
                value:
                  account_number: '849201923'
                  account_type: checking
                  companyID: dzxzll3b45rtrtrtad41c98bbc2b4d566388a44
                  customerAccountID: 23l9ada7ce49eb1496c1cb953e8c
                  routing_number: '314074269'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````